class E3dbGrailsPlugin {
    // the plugin version
    def version = "0.2.3"
    // the version or versions of Grails the plugin is designed for
    def grailsVersion = "1.1.2 > *"
    // the other plugins this plugin depends on
    def dependsOn = [:]
    // resources that are excluded from plugin packaging
    def pluginExcludes = [ "grails-app/views/error.gsp" ]

    // TODO Fill in these fields
    def author = "Aaron Collegeman"
    def authorEmail = "aaron@collegeman.net"
    def title = "Memory-efficient database query plug-in for Grails with support for JSON"
    def description = '''\\
E3DB is an efficient, effective, and effortless supplement to GORM for Grails. 
Use E3DB to query your datasource directly, reducing the overhead associated
with querying present in the additional layers applied by GORM, Hibernate, and 
the Hibernate caching layer. Compose your SQL statements with closures, bullet-proof
your queries against SQL injection with support for token-based and named parameterization.
Finally, encode your result sets directly into JSON.
'''

    // URL to the plugin's documentation
    def documentation = "http://grails.org/E3db+Plugin"

    def doWithSpring = {}

    def doWithApplicationContext = { applicationContext ->
        net.collegeman.grails.e3db.Template.setApplicationContext(applicationContext)
	}

    def doWithWebDescriptor = { xml ->
        // TODO Implement additions to web.xml (optional)
    }

    def doWithDynamicMethods = { ctx ->
        // TODO Implement registering dynamic methods to classes (optional)
    }

    def onChange = { event ->
        // TODO Implement code that is executed when any artefact that this plugin is
        // watching is modified and reloaded. The event contains: event.source,
        // event.application, event.manager, event.ctx, and event.plugin.
    }

    def onConfigChange = { event ->
        // TODO Implement code that is executed when the project configuration changes.
        // The event is the same as for 'onChange'.
    }
}
